/**
 * ActClassCondition.java
 *
 * File generated from the medication::ActClassCondition uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassCondition.
 *
 * 
 */

@XmlType(name = "ActClassCondition")
@XmlEnum
@XmlRootElement(name = "ActClassCondition")
public enum ActClassCondition {
	@XmlEnumValue("COND")
	COND("COND"),
	@XmlEnumValue("CASE")
	CASE("CASE"),
	@XmlEnumValue("OUTB")
	OUTB("OUTB");
	
	private final String value;

    ActClassCondition(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassCondition fromValue(String v) {
        for (ActClassCondition c: ActClassCondition.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}